# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    app_name = control.name
    url = "https://archive.synology.com/download/Utility/ActiveBackupBusinessAgent"



    # Getting latest version from official sources
    print("URL used is: %s" % url)
    for bs_search in bs_find_all(url, "a", proxies=proxies):
        if r'download/Utility/ActiveBackupBusinessAgent' in bs_search['href']:
            actual_version = bs_search["href"].split('/')[-1]
            version = bs_search["href"].split('/')[-1].replace('-','.')
            latest_bin = f"Synology Active Backup for Business Agent-{actual_version}-x64.msi"
            break

    url = f"https://archive.synology.com/download/Utility/ActiveBackupBusinessAgent/{actual_version}"
    for bs_search in bs_find_all(url, "a", proxies=proxies):
        if 'x64.msi' in bs_search['href']:
            download_url = bs_search['href']
            break

    print("Latest %s version is: %s" % (app_name, version))
    print("Download URL is: %s" % download_url)

     #nettoyer les fichiers temporaires
    for f in glob.glob('*.msi'):
        if f != latest_bin:
            remove_file(f)

    # Downloading latest binaries
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, connect_timeout=100, proxies=proxies)


    control.set_software_version(version)
    control.save_control_to_wapt()